Skip to main content

Invoice

Invoice provides access to the trade invoice resource.

{
"response": {
"Page": 1,
"PageCount": 4343,
"RecordsSent": 1,
"RecordsFound": 4343,
"Invoice": [
{
"RSN": 537,
"Number": "22567",
"AcCode": "WOLF",
"To": "WOLFE LTD\r23 Red Lion Street\rAylsham\rNorfolk\rNR11 6ER\r",
"InvDate": "2014-10-08T23:00:00.000Z",
"OurRef": "S00466",
"YourRef": "",
"Comments": "",
"SubtotalAmt": 0,
"Discount": 0,
"Net": 48,
"VAT": 11.1,
"Gross": 66.6,
"PayTerms": "PRO-FORMA",
"VatCode1": "S",
"VatCode2": "",
"VatCode3": "",
"VatCode4": "",
"VatRate1": "20.00%",
"VatRate2": "",
"VatRate3": "",
"VatRate4": "",
"VatAmt1": "9.60",
"VatAmt2": "",
"VatAmt3": "",
"VatAmt4": "",
"SettleDays": 0,
"SettleDiscount": 0,
"SettleDiscAmt": 0,
"DiscVatTot": 11.1,
"TotalQty": 4,
"Currency": "GBP",
"NetAmt1": "48.00",
"NetAmt2": "",
"NetAmt3": "",
"NetAmt4": "",
"ACVatNumber": "GB ",
"InvIssuer": 1,
"DeliveryAddr": "Wolf Ltd\r23 Red Lion Street\rAylsham\rNorfolk\rNR11 6ER\r",
"DespatchDate": "0000-00-00T00:00:00.000Z",
"SupplierNo": "",
"FactorCo_Accountstr": "",
"Period": "1410",
"RoyaltyDue": 0,
"ExchangeRate": 1,
"Paid": true,
"FollowUpComm": "£0.00 paid on 09/10/2014\r",
"PaidDate": "2014-10-08T23:00:00.000Z",
"DueDate": "2014-10-08T23:00:00.000Z",
"InvLines": 2,
"PayToCOIR": false,
"ConvertToGBP": false,
"Invoiced": true,
"Exported": false,
"SalesRgn": "",
"Balance": 0,
"ACVATcode": "1",
"CustCode": "WOLF",
"OKtoFile": true,
"intrastat_notc": "",
"Export_Ref": "7",
"SalesRep": "",
"DelCharge": 7.5,
"DelMethod": "Express pack ",
"Dispatch_Ref": "",
"Tradename": "CRK LONDON LTD",
"Payment_Method": "",
"FactoringClause": "",
"Print_Sizes": false,
"Items": [
{
"OurRef": "S00466",
"TheirRef": "",
"LineItem": "",
"SKU": "A0000008012",
"Description": "PAISLEY (PURPLE)",
"TotalQty": 1,
"UnitPrice": 12,
"DiscPer": 0,
"DiscAmt": 0,
"Total": 12,
"VATCode": "S",
"VATRate": 20,
"VATAmount": 2.4,
"Colour": "",
"Fixed": true,
"fk_invoice": 537,
"Line_Cost": 0,
"fk_supplier": 0,
"Size_Data": null
},
{
"OurRef": "S00466",
"TheirRef": "",
"LineItem": "",
"SKU": "A0000026009",
"Description": "RSF 14-189 Abu khaki (MULTI)",
"TotalQty": 3,
"UnitPrice": 12,
"DiscPer": 0,
"DiscAmt": 0,
"Total": 36,
"VATCode": "S",
"VATRate": 20,
"VATAmount": 7.2,
"Colour": "",
"Fixed": true,
"fk_invoice": 537,
"Line_Cost": 0,
"fk_supplier": 0,
"Size_Data": null
}
]
}
]
}
}

Invoice Properties​

PropertyExampleDescription
RSN1300Unique id of the order
CustomerRSN1092Customer id
OrderDate"2017-01-12T00:00:00.000Z"Creation date of the order
OrderStatus"Pending_Scan"Primary status for the order
OrderNumberstr"01298"Order number
DeliveryDate"2017-01-17T00:00:00.000Z"Required delivery date
OrderTotVAT0Total VAT value for the order
OrderTotGross213Total order value including Taxes and delivery
delname"Ameer Jones"Delievry customer name
deladd1"24 Bradford Road"Delivery address line 1
deladd2"Hackney "Delivery address line 2
deladd3"Hackney"Delivery address line 3
deladd4"London"Delivery address line 4
delpostcode"HA453PQ"Delivery postcode
SpecialDelivryInstructions""Delivery instructions
DeliveryDate_Est"0000-00-00T00:00:00.000Z"Estimated delivery date
PickNoteNum1276Pick note number
History"Delivery Confirmed 17/01/2017\rPicked 13/01/2017 12:34\r"Order history
VATcodeletter"S"VAT code
CostCentre0Cost centre for the invoice
DelAddresstxt"24 Bradford Road\rHackney \rHackney\rLondon\rHA453PQ\rUnited Kingdom"Full delivery address
ExportRefNum0???
CurrencyCode"GBP"Order currency code
DelNotePersonalMessage""Delivery note personal message
TotalNet_owncurrency208.08Total net value of order
OrderStatus_old""Previous order status
Order_Ref"4703122564"Order reference ???
Order_Status_Web"paid"eb order status
Despatch_Ref""Despatch reference
Order_Source"SHOPIFY"Order source
Marketplace_Ref"4703122564"Marketplace reference. Used for orders coming in from external systems.
delCountry"United Kingdom"Delivery address country name
Despatch_Carrier""Despatch carrier service
Del_Address_Ref""test
delCountryCode""Delivery address country code
Sent_To_WH_Date"0000-00-00T00:00:00.000Z"Date the order was sent to external warehouse
Extended_DatanullObject containing additional order details
Items[]Array of retail order items see retailorderitem resource

Invoice Methods​

GET /api/invoice​

Returns all invoices in the system with all published fields.